
 # Fig8.3 and Table 8.1 
 rm(list=ls())

 ##### read data and 
 PCE = read.csv("PCE.csv",skip=12)              #monthly start at 1-59
 Inflation = read.csv("Inflation.csv")
 FF = matrix(scan("../Fama-French/F-F_Research_Data_Factors.txt", 
		skip=4, n=1014*5), ncol=5, byrow=T)
 ff = FF[391:nrow(FF), c(2,5)]                  #monthly start at 1-59
 
   ######## compute annual returns and growths ############
 pce  = as.vector(log(PCE[,2]))
 n   = length(pce)
 PCEgrowth = 100*(pce[13:n] - pce[1:(n-12)])      #annual growth rate,
 inflation=Inflation[937:nrow(Inflation),2]       #start on 1-1-60
 PCEgrowth  = PCEgrowth - inflation               #inflation adjusted growth
 n = nrow(ff); ffReturn = 0
 for(i in 1:12)  ffReturn = ffReturn + ff[i:(n-12+i),] #annualized returns
 ffReturn = ffReturn[-1,  ]                        #deleting Dec. 1959

 n = nrow(ffReturn)        
 crsp = ffReturn[,1] + ffReturn[,2] - inflation[1:n] 
						#inflation adjusted returns
 PCEgrowth = PCEgrowth[1:n]
 rf  = ffReturn[,2] - inflation[1:n] 		#inflation adjusted returns
 eReturn= ffReturn[,1]
              
 ############ puting in Time Series structure ###############
  
  TS  = cbind(PCEgrowth, crsp, rf, eReturn)
  TSA = TS[seq(1,n, by=12), ]
  TS  = ts(TS, start=c(1960, 1), frequency = 12)

 postscript("Fig83.eps", width=4.4, height=5.5, horizontal=F,   pointsize=8)
 par(mfrow = c(1,1), mar=c(3,2,2,1)+0.1, cex=0.8)

 plot.ts(TS, col=4, ylab="", xlab="",
   main ="Consumption Growth, CRSP and Excess Returns, Riskfree Rate")
 dev.off()
 
  ############## compute Table 8.1 #########################
 result = array(0, c(4,4))
 result[,1] = apply(TSA, 2, mean)
 result[,2] = apply(TSA, 2, sd)
 result[,3] = cor(TSA[,1], TSA)
 result[,4] = cov(TSA[,1], TSA)
 result     = round(result, 3)
 


